Get Twitter Users
curl --request POST \
--url https://api-lr.agent.ai/v1/action/get_twitter_users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keywords": "AI experts",
"num_users": 1
}
'import requests
url = "https://api-lr.agent.ai/v1/action/get_twitter_users"
payload = {
"keywords": "AI experts",
"num_users": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keywords: 'AI experts', num_users: 1})
};
fetch('https://api-lr.agent.ai/v1/action/get_twitter_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"response": [
"dharmesh"
]
}{
"status": 403,
"response": null,
"error": "403 Forbidden\nAuthenticating with OAuth 2.0 Application-Only is forbidden for this endpoint. Supported authentication types are [OAuth 1.0a User Context, OAuth 2.0 User Context]."
}Social Media & Online Presence
Get Twitter Users
Search and retrieve Twitter user profiles based on keywords for social media analysis.
POST
/
action
/
get_twitter_users
Get Twitter Users
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
⌘I

